Skip to main content
POST
Create Document Upload URL

Authorizations

Authorization
string
header
required

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Body

application/json
fileName
string
required

Name of the file to upload, including its extension.

Minimum string length: 1
contentType
string
required

MIME type of the file (e.g. application/pdf). Send the same value as Content-Type when uploading to uploadUrl.

Minimum string length: 1
fileSize
integer
required

Size of the file in bytes. It is signed into uploadUrl: the PUT must send exactly this many bytes.

Response

Presigned upload URL

uploadUrl
string
required

Presigned S3 PUT URL, valid for 10 minutes. Send the file bytes with the same Content-Type.

s3Key
string
required

The staging key — pass it as storageKey to POST /api/v1/ppwr/documents.